diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-operating-channel.cc ns-3.44/src/wifi/model/wifi-phy-operating-channel.cc
--- ns-3.43/src/wifi/model/wifi-phy-operating-channel.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-operating-channel.cc	2025-03-09 16:55:49.803372600 -0700
@@ -369,7 +370,7 @@
     if ((channelIts.size() > 2) ||
         ((channelIts.size() == 2) &&
          !std::all_of(channelIts.cbegin(), channelIts.cend(), [](const auto& channel) {
-             return channel->width == 80;
+             return channel->width == MHz_u{80};
          })))
     {
         throw std::runtime_error("WifiPhyOperatingChannel is invalid: only 80+80MHz is "
@@ -384,7 +385,7 @@
 WifiPhyOperatingChannel::SetDefault(MHz_u width, WifiStandard standard, WifiPhyBand band)
 {
     NS_LOG_FUNCTION(this << width << standard << band);
-    Set({{GetDefaultChannelNumber(width, standard, band), 0, width, band}}, standard);
+    Set({{GetDefaultChannelNumber(width, standard, band), MHz_u{0}, width, band}}, standard);
 }
 
 uint8_t
@@ -398,13 +399,14 @@
     auto prevSegmentChannelIt = m_frequencyChannels.end();
     if (previousChannelNumber)
     {
-        prevSegmentChannelIt = FindFirst(*previousChannelNumber, 0, width, standard, band, start);
+        prevSegmentChannelIt =
+            FindFirst(*previousChannelNumber, MHz_u{0}, width, standard, band, start);
         if (prevSegmentChannelIt != m_frequencyChannels.end())
         {
             start = std::next(prevSegmentChannelIt);
         }
     }
-    auto channelIt = FindFirst(0, 0, width, standard, band, start);
+    auto channelIt = FindFirst(0, MHz_u{0}, width, standard, band, start);
     if (prevSegmentChannelIt != m_frequencyChannels.end() && channelIt != m_frequencyChannels.end())
     {
         const auto prevFreq = prevSegmentChannelIt->frequency;
@@ -417,7 +419,7 @@
         {
             // segments are contiguous to each others, find next segment to make sure they are
             // not contiguous
-            channelIt = FindFirst(0, 0, width, standard, band, std::next(channelIt));
+            channelIt = FindFirst(0, MHz_u{0}, width, standard, band, std::next(channelIt));
         }
     }
     if (channelIt != m_frequencyChannels.end())
@@ -445,11 +447,11 @@
         {
             return false;
         }
-        if (frequency != 0 && channel.frequency != frequency)
+        if (frequency != MHz_u{0} && channel.frequency != frequency)
         {
             return false;
         }
-        if (width != 0 && channel.width != width)
+        if (width != MHz_u{0} && channel.width != width)
         {
             return false;
         }
@@ -573,7 +575,7 @@
     NS_ASSERT(IsSet());
     return std::accumulate(m_channelIts.cbegin(),
                            m_channelIts.cend(),
-                           0,
+                           MHz_u{0},
                            [](MHz_u sum, const auto& channel) { return sum + channel->width; });
 }
 
@@ -619,7 +621,7 @@
 
     // the index of primary40 is half the index of primary20; the index of
     // primary80 is half the index of primary40, ...
-    MHz_u width = 20;
+    MHz_u width{20};
     uint8_t index = m_primary20Index;
 
     while (width < primaryChannelWidth)
@@ -644,7 +646,8 @@
 {
     NS_LOG_FUNCTION(this << +index);
 
-    NS_ABORT_MSG_IF(index > 0 && index >= GetTotalWidth() / 20, "Primary20 index out of range");
+    NS_ABORT_MSG_IF(index > 0 && index >= Count20MHzSubchannels(GetTotalWidth()),
+                    "Primary20 index out of range");
     m_primary20Index = index;
 }
 
@@ -737,7 +740,7 @@
     WifiPhyOperatingChannel primaryChannel(primaryChanIt);
 
     const auto primaryIndex = m_primary20Index - (GetPrimaryChannelIndex(primaryChannelWidth) *
-                                                  (primaryChannelWidth / 20));
+                                                  Count20MHzSubchannels(primaryChannelWidth));
     primaryChannel.SetPrimary20Index(primaryIndex);
 
     return primaryChannel;
@@ -752,7 +755,7 @@
         return {};
     }
 
-    MHz_u currWidth = 20;
+    MHz_u currWidth{20};
     std::set<uint8_t> indices;
     indices.insert(m_primary20Index);
 
@@ -775,13 +778,13 @@
 WifiPhyOperatingChannel::GetAll20MHzChannelIndicesInSecondary(
     const std::set<uint8_t>& primaryIndices) const
 {
-    if (primaryIndices.empty() || GetTotalWidth() == 20)
+    if (primaryIndices.empty() || GetTotalWidth() == MHz_u{20})
     {
         return {};
     }
 
     uint8_t size = 1;
-    MHz_u primaryWidth = 20;
+    MHz_u primaryWidth{20};
 
     // find the width of the primary channel corresponding to the size of the given set
     while (size != primaryIndices.size())
@@ -826,12 +829,12 @@
     // handle first the special case of center 26-tone RUs
     if (ruType == HeRu::RU_26_TONE && ru.GetIndex() == 19)
     {
-        NS_ASSERT_MSG(width >= 80,
+        NS_ASSERT_MSG(width >= MHz_u{80},
                       "26-tone RU with index 19 is only present in channels of at least 80 MHz");
         // the center 26-tone RU in an 80 MHz channel is not fully covered by
         // any 20 MHz channel, but by the two central 20 MHz channels in the 80 MHz channel
-        auto indices = ru.GetPrimary80MHz() ? GetAll20MHzChannelIndicesInPrimary(80)
-                                            : GetAll20MHzChannelIndicesInSecondary(80);
+        auto indices = ru.GetPrimary80MHz() ? GetAll20MHzChannelIndicesInPrimary(MHz_u{80})
+                                            : GetAll20MHzChannelIndicesInSecondary(MHz_u{80});
         indices.erase(indices.begin());
         indices.erase(std::prev(indices.end()));
         return indices;
@@ -847,12 +850,12 @@
 
     // if the RU refers to a 160 MHz channel, we have to update the RU index (which
     // refers to an 80 MHz channel) if the RU is not in the lower 80 MHz channel
-    if (width == 160)
+    if (width == MHz_u{160})
     {
         bool primary80IsLower80 = (m_primary20Index < 4);
         if (primary80IsLower80 != ru.GetPrimary80MHz())
         {
-            auto nRusIn80MHz = HeRu::GetNRus(80, ruType);
+            auto nRusIn80MHz = HeRu::GetNRus(MHz_u{80}, ruType);
             // "ignore" the center 26-tone RU in an 80 MHz channel
             if (ruType == HeRu::RU_26_TONE)
             {
@@ -882,7 +885,7 @@
         NS_ABORT_MSG("Unhandled RU type: " << ruType);
     }
 
-    auto nRusInCoveringChannel = HeRu::GetNRus(n20MHzChannels * 20, ruType);
+    auto nRusInCoveringChannel = HeRu::GetNRus(n20MHzChannels * MHz_u{20}, ruType);
     // compute the index (starting at 0) of the covering channel within the given width
     std::size_t indexOfCoveringChannelInGivenWidth = (ruIndex - 1) / nRusInCoveringChannel;
 
@@ -904,7 +907,7 @@
     }
 
     // finally, add the appropriate offset if width is less than the operational channel width
-    auto offset = GetPrimaryChannelIndex(width) * width / 20;
+    auto offset = GetPrimaryChannelIndex(width) * Count20MHzSubchannels(width);
 
     if (offset > 0)
     {
@@ -953,7 +956,7 @@
                << " width " << channel.GetWidth() << " band " << channel.GetPhyBand();
             if ((segmentId == 0) && (static_cast<uint16_t>(channel.GetTotalWidth()) % 20 == 0))
             {
-                os << " primary20 " << +channel.GetPrimaryChannelIndex(20);
+                os << " primary20 " << +channel.GetPrimaryChannelIndex(MHz_u{20});
             }
             if (segmentId < numSegments - 1)
             {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-operating-channel.h ns-3.44/src/wifi/model/wifi-phy-operating-channel.h
--- ns-3.43/src/wifi/model/wifi-phy-operating-channel.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-operating-channel.h	2025-03-09 16:55:49.803372600 -0700
@@ -29,10 +29,10 @@
 struct FrequencyChannelInfo
 {
     /**
-     * \brief spaceship operator.
+     * @brief spaceship operator.
      *
-     * \param info the frequency channel info
-     * \returns -1 if the provided channel info is located at a lower channel number, 0 if the
+     * @param info the frequency channel info
+     * @returns -1 if the provided channel info is located at a lower channel number, 0 if the
      * provided channel info is identical or 1 if the provided channel info is located at a higher
      * channel number
      */
@@ -45,16 +45,16 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param info the frequency channel info
- * \returns a reference to the stream
+ * @param os the stream
+ * @param info the frequency channel info
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const FrequencyChannelInfo& info);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * Class that keeps track of all information about the current PHY operating channel.
  */
@@ -70,9 +70,9 @@
         /**
          * Functional operator for sorting the frequency segments.
          *
-         * \param a const iterator pointing to the frequency channel for the first segment
-         * \param b const iterator pointing to the frequency channel for the second segment
-         * \return true if the center frequency of the first segment is lower than the center
+         * @param a const iterator pointing to the frequency channel for the first segment
+         * @param b const iterator pointing to the frequency channel for the second segment
+         * @return true if the center frequency of the first segment is lower than the center
          * frequency of the second segment
          */
         bool operator()(const ConstIterator& a, const ConstIterator& b) const;
@@ -90,7 +90,7 @@
      * Create a PHY operating channel from an iterator pointing to a channel in the set of available
      * channels.
      *
-     * \param it the iterator pointing to a channel in the set of available channels
+     * @param it the iterator pointing to a channel in the set of available channels
      */
     WifiPhyOperatingChannel(ConstIterator it);
 
@@ -98,7 +98,7 @@
      * Create a PHY operating channel from iterators pointing to multiple frequency segments in the
      * set of available channels.
      *
-     * \param its the iterators pointing to frequency segments in the set of available channels
+     * @param its the iterators pointing to frequency segments in the set of available channels
      */
     WifiPhyOperatingChannel(const ConstIteratorSet& its);
 
@@ -108,9 +108,9 @@
      * Check if the given WifiPhyOperatingChannel is equivalent.
      * Note that the primary20 channels are not compared.
      *
-     * \param other another WifiPhyOperatingChannel
+     * @param other another WifiPhyOperatingChannel
      *
-     * \return true if the given WifiPhyOperatingChannel is equivalent,
+     * @return true if the given WifiPhyOperatingChannel is equivalent,
      *         false otherwise
      */
     bool operator==(const WifiPhyOperatingChannel& other) const;
@@ -118,9 +118,9 @@
     /**
      * Check if the given WifiPhyOperatingChannel is different.
      *
-     * \param other another WifiPhyOperatingChannel
+     * @param other another WifiPhyOperatingChannel
      *
-     * \return true if the given WifiPhyOperatingChannel is different,
+     * @return true if the given WifiPhyOperatingChannel is different,
      *         false otherwise
      */
     bool operator!=(const WifiPhyOperatingChannel& other) const;
@@ -131,7 +131,7 @@
     /**
      * Return true if a valid channel has been set, false otherwise.
      *
-     * \return true if a valid channel has been set, false otherwise
+     * @return true if a valid channel has been set, false otherwise
      */
     bool IsSet() const;
     /**
@@ -141,8 +141,8 @@
      * If the channel width is a multiple of 20 MHz, the primary 20 MHz channel
      * is set to the 20 MHz subchannel with the lowest center frequency.
      *
-     * \param segments the frequency segments
-     * \param standard the standard
+     * @param segments the frequency segments
+     * @param standard the standard
      */
     void Set(const std::vector<FrequencyChannelInfo>& segments, WifiStandard standard);
     /**
@@ -150,9 +150,9 @@
      * If the channel width is a multiple of 20 MHz, the primary 20 MHz channel
      * is set to the 20 MHz subchannel with the lowest center frequency.
      *
-     * \param width the channel width
-     * \param standard the standard
-     * \param band the PHY band
+     * @param width the channel width
+     * @param standard the standard
+     * @param band the PHY band
      */
     void SetDefault(MHz_u width, WifiStandard standard, WifiPhyBand band);
 
@@ -160,13 +160,13 @@
      * Get the default channel number for a given segment of the given width and for the given
      * standard and band.
      *
-     * \param width the channel width
-     * \param standard the standard
-     * \param band the PHY band
-     * \param previousChannelNumber the channel number of the previous (in frequency) segment (if
+     * @param width the channel width
+     * @param standard the standard
+     * @param band the PHY band
+     * @param previousChannelNumber the channel number of the previous (in frequency) segment (if
      * non-contiguous operating channel is used). If there is no place for another segment that is
      * not contiguous to that previous one (at a higher frequency), an error is thrown
-     * \return the default channel number
+     * @return the default channel number
      */
     static uint8_t GetDefaultChannelNumber(
         MHz_u width,
@@ -180,8 +180,8 @@
      * it returns the channel number of the segment occuping the lowest
      * frequencies when a non-contiguous operating channel is used.
      *
-     * \param segment the index of the frequency segment (if operating channel is non-contiguous)
-     * \return the channel number for a given frequency segment
+     * @param segment the index of the frequency segment (if operating channel is non-contiguous)
+     * @return the channel number for a given frequency segment
      */
     uint8_t GetNumber(std::size_t segment = 0) const;
     /**
@@ -190,8 +190,8 @@
      * it returns the center frequency of the segment occuping the lowest
      * frequencies when a non-contiguous operating channel is used.
      *
-     * \param segment the index of the frequency segment (if operating channel is non-contiguous)
-     * \return the center frequency for a given frequency segment
+     * @param segment the index of the frequency segment (if operating channel is non-contiguous)
+     * @return the center frequency for a given frequency segment
      */
     MHz_u GetFrequency(std::size_t segment = 0) const;
     /**
@@ -200,65 +200,65 @@
      * it returns the channel width of the segment occuping the lowest
      * frequencies when a non-contiguous operating channel is used.
      *
-     * \param segment the index of the frequency segment (if operating channel is non-contiguous)
-     * \return the channel width for a given frequency segment
+     * @param segment the index of the frequency segment (if operating channel is non-contiguous)
+     * @return the channel width for a given frequency segment
      */
     MHz_u GetWidth(std::size_t segment = 0) const;
     /**
      * Return the width of the whole operating channel.
      *
-     * \return the width of the whole operating channel
+     * @return the width of the whole operating channel
      */
     MHz_u GetTotalWidth() const;
     /**
      * Return the channel number per segment.
      * Segments are ordered by increasing frequencies.
      *
-     * \return the channel number per segment
+     * @return the channel number per segment
      */
     std::vector<uint8_t> GetNumbers() const;
     /**
      * Return the center frequency per segment.
      * Segments are ordered by increasing frequencies.
      *
-     * \return the center frequency per segment
+     * @return the center frequency per segment
      */
     std::vector<MHz_u> GetFrequencies() const;
     /**
      * Return the channel width per segment.
      * Segments are ordered by increasing frequencies.
      *
-     * \return the channel width per segment
+     * @return the channel width per segment
      */
     std::vector<MHz_u> GetWidths() const;
     /**
      * Return the width type of the operating channel.
      *
-     * \return the width type of the operating channel
+     * @return the width type of the operating channel
      */
     WifiChannelWidthType GetWidthType() const;
     /**
      * Return the PHY band of the operating channel
      *
-     * \return the PHY band of the operating channel
+     * @return the PHY band of the operating channel
      */
     WifiPhyBand GetPhyBand() const;
     /**
      * Return whether the operating channel is an OFDM channel.
      *
-     * \return whether the operating channel is an OFDM channel
+     * @return whether the operating channel is an OFDM channel
      */
     bool IsOfdm() const;
     /**
      * Return whether the operating channel is a DSSS channel.
      *
-     * \return whether the operating channel is a DSSS channel
+     * @return whether the operating channel is a DSSS channel
      */
     bool IsDsss() const;
     /**
      * Return whether the operating channel is an 802.11p channel.
      *
-     * \return whether the operating channel is an 802.11p channel
+     * @return whether the operating channel is an 802.11p channel
      */
     bool Is80211p() const;
 
@@ -267,8 +267,8 @@
      * primary channel of the given width within the operating channel (0 indicates
      * the 20 MHz subchannel with the lowest center frequency). Otherwise, return 0.
      *
-     * \param primaryChannelWidth the width of the primary channel
-     * \return the index of the requested primary channel within the operating channel
+     * @param primaryChannelWidth the width of the primary channel
+     * @return the index of the requested primary channel within the operating channel
      */
     uint8_t GetPrimaryChannelIndex(MHz_u primaryChannelWidth) const;
 
@@ -277,8 +277,8 @@
      * secondary channel of the given width within the operating channel (0 indicates
      * the 20 MHz subchannel with the lowest center frequency). Otherwise, return 0.
      *
-     * \param secondaryChannelWidth the width of the secondary channel
-     * \return the index of the requested secondary channel within the operating channel
+     * @param secondaryChannelWidth the width of the secondary channel
+     * @return the index of the requested secondary channel within the operating channel
      */
     uint8_t GetSecondaryChannelIndex(MHz_u secondaryChannelWidth) const;
 
@@ -286,23 +286,23 @@
      * Set the index of the primary 20 MHz channel (0 indicates the 20 MHz subchannel
      * with the lowest center frequency among all segments).
      *
-     * \param index the index of the primary 20 MHz channel
+     * @param index the index of the primary 20 MHz channel
      */
     void SetPrimary20Index(uint8_t index);
 
     /**
      * Get the center frequency of the primary channel of the given width.
      *
-     * \param primaryChannelWidth the width of the primary channel
-     * \return the center frequency of the primary channel of the given width
+     * @param primaryChannelWidth the width of the primary channel
+     * @return the center frequency of the primary channel of the given width
      */
     MHz_u GetPrimaryChannelCenterFrequency(MHz_u primaryChannelWidth) const;
 
     /**
      * Get the center frequency of the secondary channel of the given width.
      *
-     * \param secondaryChannelWidth the width of the secondary channel
-     * \return the center frequency of the secondary channel of the given width
+     * @param secondaryChannelWidth the width of the secondary channel
+     * @return the center frequency of the secondary channel of the given width
      */
     MHz_u GetSecondaryChannelCenterFrequency(MHz_u secondaryChannelWidth) const;
 
@@ -311,8 +311,8 @@
      * channel of the given width, if such primary channel exists, or an empty set,
      * otherwise.
      *
-     * \param width the width of the primary channel
-     * \return the channel indices of all the 20 MHz channels included in the primary
+     * @param width the width of the primary channel
+     * @return the channel indices of all the 20 MHz channels included in the primary
      *         channel of the given width, if such primary channel exists, or an empty set,
      *         otherwise
      */
@@ -322,8 +322,8 @@
      * channel of the given width, if such secondary channel exists, or an empty set,
      * otherwise.
      *
-     * \param width the width of the secondary channel
-     * \return the channel indices of all the 20 MHz channels included in the secondary
+     * @param width the width of the secondary channel
+     * @return the channel indices of all the 20 MHz channels included in the secondary
      *         channel of the given width, if such secondary channel exists, or an empty set,
      *         otherwise
      */
@@ -333,9 +333,9 @@
      * channel corresponding to the given primary channel, if such secondary channel
      * exists, or an empty set, otherwise.
      *
-     * \param primaryIndices the channel indices of all the 20 MHz channels included
+     * @param primaryIndices the channel indices of all the 20 MHz channels included
      *                       in the primary channel
-     * \return the channel indices of all the 20 MHz channels included in the secondary
+     * @return the channel indices of all the 20 MHz channels included in the secondary
      *         channel corresponding to the given primary channel, if such secondary channel
      *         exists, or an empty set, otherwise
      */
@@ -345,14 +345,14 @@
     /**
      * Find the first frequency segment matching the specified parameters.
      *
-     * \param number the channel number (use 0 to leave it unspecified)
-     * \param frequency the channel center frequency in MHz (use 0 to leave it unspecified)
-     * \param width the channel width (use 0 to leave it unspecified)
-     * \param standard the standard (use WIFI_STANDARD_UNSPECIFIED not to check whether a
+     * @param number the channel number (use 0 to leave it unspecified)
+     * @param frequency the channel center frequency in MHz (use 0 to leave it unspecified)
+     * @param width the channel width (use 0 to leave it unspecified)
+     * @param standard the standard (use WIFI_STANDARD_UNSPECIFIED not to check whether a
      *                 channel is suitable for a specific standard)
-     * \param band the PHY band
-     * \param start an iterator pointing to the channel to start the search with
-     * \return an iterator pointing to the found channel, if any, or to past-the-end
+     * @param band the PHY band
+     * @param start an iterator pointing to the channel to start the search with
+     * @return an iterator pointing to the found channel, if any, or to past-the-end
      *         of the set of available channels
      */
     static ConstIterator FindFirst(uint8_t number,
@@ -364,18 +364,18 @@
 
     /**
      * Get channel number of the primary channel
-     * \param primaryChannelWidth the width of the primary channel
-     * \param standard the standard
+     * @param primaryChannelWidth the width of the primary channel
+     * @param standard the standard
      *
-     * \return channel number of the primary channel
+     * @return channel number of the primary channel
      */
     uint8_t GetPrimaryChannelNumber(MHz_u primaryChannelWidth, WifiStandard standard) const;
 
     /**
      * Get a WifiPhyOperatingChannel object corresponding to the primary channel of the given width.
      *
-     * \param primaryChannelWidth the width of the primary channel in MHz
-     * \return a WifiPhyOperatingChannel object corresponding to the primary channel of the given
+     * @param primaryChannelWidth the width of the primary channel in MHz
+     * @return a WifiPhyOperatingChannel object corresponding to the primary channel of the given
      *         width
      */
     WifiPhyOperatingChannel GetPrimaryChannel(MHz_u primaryChannelWidth) const;
@@ -383,26 +383,26 @@
     /**
      * Get the channel indices of the minimum subset of 20 MHz channels containing the given RU.
      *
-     * \param ru the given RU
-     * \param width the width of the channel to which the given RU refers to; normally,
+     * @param ru the given RU
+     * @param width the width of the channel to which the given RU refers to; normally,
      *              it is the width of the PPDU for which the RU is allocated
-     * \return the channel indices of the minimum subset of 20 MHz channels containing the given RU
+     * @return the channel indices of the minimum subset of 20 MHz channels containing the given RU
      */
     std::set<uint8_t> Get20MHzIndicesCoveringRu(HeRu::RuSpec ru, MHz_u width) const;
 
     /**
      * Get the index of the segment that contains a given primary channel.
      *
-     * \param primaryChannelWidth the width of the primary channel
-     * \return the index of the segment that contains the primary channel
+     * @param primaryChannelWidth the width of the primary channel
+     * @return the index of the segment that contains the primary channel
      */
     uint8_t GetPrimarySegmentIndex(MHz_u primaryChannelWidth) const;
 
     /**
      * Get the index of the segment that contains a given secondary channel.
      *
-     * \param secondaryChannelWidth the width of the secondary channel
-     * \return the index of the segment that contains the secondary channel
+     * @param secondaryChannelWidth the width of the secondary channel
+     * @return the index of the segment that contains the secondary channel
      */
     uint8_t GetSecondarySegmentIndex(MHz_u secondaryChannelWidth) const;
 
@@ -410,7 +410,7 @@
      * Get the number of frequency segments in the operating channel.
      * This is only more than one if a non-contiguous operating channel is used.
      *
-     * \return the number of frequency segments
+     * @return the number of frequency segments
      */
     std::size_t GetNSegments() const;
 
@@ -421,11 +421,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param channel the operating channel
- * \returns a reference to the stream
+ * @param os the stream
+ * @param channel the operating channel
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const WifiPhyOperatingChannel& channel);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-state.h ns-3.44/src/wifi/model/wifi-phy-state.h
--- ns-3.43/src/wifi/model/wifi-phy-state.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-state.h	2025-03-09 16:55:49.803372600 -0700
@@ -53,11 +53,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param state the state
- * \returns a reference to the stream
+ * @param os the stream
+ * @param state the state
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, WifiPhyState state)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-state-helper.cc ns-3.44/src/wifi/model/wifi-phy-state-helper.cc
--- ns-3.43/src/wifi/model/wifi-phy-state-helper.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-state-helper.cc	2025-03-09 16:55:49.803372600 -0700
@@ -12,6 +12,7 @@
 #include "wifi-phy.h"
 #include "wifi-psdu.h"
 #include "wifi-tx-vector.h"
+#include "wifi-utils.h"
 
 #include "ns3/log.h"
 #include "ns3/packet.h"
@@ -540,8 +541,11 @@
     case WifiPhyState::CCA_BUSY:
         LogPreviousIdleAndCcaBusyStates();
         break;
+    case WifiPhyState::RX:
+        DoSwitchFromRx();
+        break;
     default:
-        NS_FATAL_ERROR("Invalid WifiPhy state.");
+        NS_FATAL_ERROR("Invalid WifiPhy state: " << GetState());
         break;
     }
     m_previousStateChangeTime = now;
@@ -574,9 +578,11 @@
     DoSwitchFromRx();
     m_endCcaBusy = Simulator::Now();
     std::vector<Time> per20MhzDurations;
-    if (operatingWidth >= 40)
+    if (operatingWidth >= MHz_u{40})
     {
-        std::fill_n(std::back_inserter(per20MhzDurations), (operatingWidth / 20), Seconds(0));
+        std::fill_n(std::back_inserter(per20MhzDurations),
+                    Count20MHzSubchannels(operatingWidth),
+                    Seconds(0));
     }
     NotifyListeners(&WifiPhyListener::NotifyCcaBusyStart,
                     Seconds(0),
